package com.zd.laboratory.service.impl;

import com.zd.common.core.domain.per.PerPrefix;
import com.zd.common.core.utils.DateUtils;
import com.zd.common.core.utils.SecurityUtils;
import com.zd.common.datascope.annotation.DataScope;
import com.zd.common.security.utils.SaveUtil;
import com.zd.laboratory.domain.LabSafeClasstype;
import com.zd.laboratory.mapper.LabSafeClasstypeMapper;
import com.zd.laboratory.service.ILabSafeClasstypeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 安全分级类型Service业务层处理
 *
 * @author zd
 * @date 2021-12-18
 */
@Service
public class LabSafeClasstypeServiceImpl implements ILabSafeClasstypeService
{
    @Autowired
    private LabSafeClasstypeMapper labSafeClasstypeMapper;

    /**
     * 查询安全分级类型
     *
     * @param id 安全分级类型主键
     * @return 安全分级类型
     */
    @Override
    public LabSafeClasstype selectLabSafeClasstypeById(Long id)
    {
        return labSafeClasstypeMapper.selectLabSafeClasstypeById(id);
    }

    /**
     * 查询安全分级类型列表
     *
     * @param labSafeClasstype 安全分级类型
     * @return 安全分级类型
     */
    @Override
    @DataScope(deptAlias = "t" , permi = PerPrefix.LABORATORY_CLASSTYPE)
    public List<LabSafeClasstype> selectLabSafeClasstypeList(LabSafeClasstype labSafeClasstype)
    {
        return labSafeClasstypeMapper.selectLabSafeClasstypeList(labSafeClasstype);
    }

    /**
     * 新增安全分级类型
     *
     * @param labSafeClasstype 安全分级类型
     * @return 结果
     */
    @Override
    public int insertLabSafeClasstype(LabSafeClasstype labSafeClasstype)
    {
        //设置其他公共字段
        SaveUtil.setCommonAttr(labSafeClasstype);
        return labSafeClasstypeMapper.insertLabSafeClasstype(labSafeClasstype);
    }

    /**
     * 修改安全分级类型
     *
     * @param labSafeClasstype 安全分级类型
     * @return 结果
     */
    @Override
    public int updateLabSafeClasstype(LabSafeClasstype labSafeClasstype)
    {
        labSafeClasstype.setUpdateTime(DateUtils.getNowDate());
        labSafeClasstype.setUpdateBy(SecurityUtils.getUsername());
        return labSafeClasstypeMapper.updateLabSafeClasstype(labSafeClasstype);
    }

    /**
     * 批量删除安全分级类型
     *
     * @param ids 需要删除的安全分级类型主键
     * @return 结果
     */
    @Override
    public int deleteLabSafeClasstypeByIds(Long[] ids)
    {
        return labSafeClasstypeMapper.deleteLabSafeClasstypeByIds(ids);
    }

    /**
     * 删除安全分级类型信息
     *
     * @param id 安全分级类型主键
     * @return 结果
     */
    @Override
    public int deleteLabSafeClasstypeById(Long id)
    {
        return labSafeClasstypeMapper.deleteLabSafeClasstypeById(id);
    }
}
